"use strict";
{
  let currentUrl = window.location.href;
  let currentRj = DLUtils.getProductNumber(currentUrl)

  const source = `
    <a rel="noopener" target="_blank" class="dl_ch_button reviewers" href="https://doujin-reviewers.info/products/{{rjNumber}}/reviews">
    <span class="button_label">レビュアーズ</span>
    <span class="count">{{reviewCount}}件</span>
    <span class="button_tooltip">同人Reviewersのレビューを読む</span></a>
  `
  const template = Handlebars.compile(source)

  fetch('https://doujin-reviewers.info/api/v1/review', {
    method: 'POST',
    mode: "cors",
    headers: {
      "Content-Type": "application/json; charset=utf-8",
    },
    body: JSON.stringify([currentRj])
  })
  .then((response) => {
    return response.json()
  })
  .then((json) => {
    if(Object.keys(json).length && typeof json[currentRj] !== "undefined") {
      // レビューがある
      let context = {
        reviewCount: json[currentRj],
        rjNumber : currentRj
      }
      let html = template(context)
      let target = document.querySelector('.link_dl_ch')
      target.insertAdjacentHTML('afterbegin', html)
    }
  })
}