"use strict";
{
  let currentUrl = window.location.href;
  let currentRj = DLUtils.getProductNumber(currentUrl)

  const source = `
    <a rel="noopener" target="_blank" href="https://doujin-reviewers.info/products/{{rjNumber}}/reviews">+{{reviewCount}}</a>
  `
  const template = Handlebars.compile(source)

  fetch('https://doujin-reviewers.info/api/v1/review', {
    method: 'POST',
    mode: "cors",
    headers: {
      "Content-Type": "application/json; charset=utf-8",
    },
    body: JSON.stringify([currentRj])
  })
  .then((response) => {
    return response.json()
  })
  .then((json) => {
    if(Object.keys(json).length && typeof json[currentRj] !== "undefined") {
      // レビューがある
      let context = {
        reviewCount: json[currentRj],
        rjNumber : currentRj
      }
      let html = template(context)
      let target = document.querySelector('.work_review_wrap')
      target.insertAdjacentHTML('beforeend', html)
    }
  })
}