"use strict";
{
  let searchResultList = document.getElementById("search_result_list")
  let productList = !document.querySelector("#search_result_list > table") ? document.querySelectorAll("#search_result_img_box > li") : searchResultList.getElementsByTagName("tbody")[0].children
  let query = !document.querySelector("#search_result_list > table") ? "dl:nth-child(1) > dt:nth-child(1) > a" : "td:nth-child(2) > dl:nth-child(1) > dt:nth-child(1) > a"

  let rjNumbers = Array.from(productList, element => {
    let href = element.querySelector(query).href
    return DLUtils.getProductNumber(href)
  });

  fetch('https://doujin-reviewers.info/api/v1/review', {
    method: 'POST',
    mode: "cors",
    headers: {
      "Content-Type": "application/json; charset=utf-8",
    },
    body: JSON.stringify(rjNumbers)
  })
  .then((response) => {
    return response.json()
  })
  .then((json) => {
    if(Object.keys(json).length) {
      let targets = searchResultList.querySelectorAll('div[title*="レビューあり"]')
      targets.forEach((target)=>{
        let rj = DLUtils.getProductNumber(target.firstChild.href)
        if(rj.length && typeof json[rj] !== "undefined"){
          // レビューがある
          let a = document.createElement("a")
          a.href = "https://doujin-reviewers.info/products/"+ rj +"/reviews"
          a.textContent = "+" + json[rj]
          a.rel="noopener"
          a.target="_blank"
          target.appendChild(a)
        }
      })
    }
  })
}