"use strict";
{
  let searchResultList = document.querySelector(".n_work_list")
  let productList = searchResultList.querySelectorAll(":scope > li")
  let query = "dl:nth-child(1) > dt:nth-child(1) > a"

  let rjNumbers = Array.from(productList, element => {
    let href = element.querySelector(query).href
    return DLUtils.getProductNumber(href)
  });

  fetch('https://doujin-reviewers.info/api/v1/review', {
    method: 'POST',
    mode: "cors",
    headers: {
      "Content-Type": "application/json; charset=utf-8",
    },
    body: JSON.stringify(rjNumbers)
  })
  .then((response) => {
    return response.json()
  })
  .then((json) => {
    if(Object.keys(json).length) {
      productList.forEach((target)=>{
        let rj = DLUtils.getProductNumber(target.querySelector("a").href)
        if(rj.length && typeof json[rj] !== "undefined"){
          // レビューがある
          target.querySelector("span.icon_REV").insertAdjacentHTML('beforeend', "+" + json[rj]);
        }
      })
    }
  })
}