"use strict";

class _DLUtilsClass {

  /**
   * URLをパースしてRJ番号を抽出する
   * @param {String} url
   * @returns {String} dlsite product number
   */
  getProductNumber (url) {
    let rj = ""
    if(typeof url !== "undefined"){
      rj = url.split(/\/|\./)
      rj = rj[rj.length - 2]
      return rj
    }
    return rj
  };

  /**
   * 検索結果画面のURLをパースして表示形式を取得する
   * @param {String} url
   * @returns {String} show type
   */
  getShowType (url) {
    if(!url){
      return ""
    }
    let urlArr = url.split("/")
    let showType = urlArr.indexOf("show_type")
    if(showType != -1){
      return urlArr[showType + 1]
    }
    return ""
  };

}

var DLUtils = new _DLUtilsClass();